# MaterialTexture

moderngl_window.scene.MaterialTexture

  Wrapper for textures used in materials. Contains a texture and a sampler object.

## Methods

MaterialTexture.__init__(texture: Texture = None, sampler: Sampler = None)

  Initialize instance.

  Parameters:

    - texture (moderngl.Texture) – Texture instance

    - sampler (moderngl.Sampler) – Sampler instance

## Attributes

MaterialTexture.texture

  Texture instance

  Type:

    moderngl.Texture

MaterialTexture.sampler

  Sampler instance

  Type:

    moderngl.Sampler